import { TradeSlotType } from "./definitions/adventureland.js";
import { PingCompensatedCharacter } from "./PingCompensatedCharacter.js";
export declare class Merchant extends PingCompensatedCharacter {
    ctype: "merchant";
    closeMerchantStand(): Promise<void>;
    /**
     * Fish for items
     *
     * @return {*}  {Promise<void>}
     * @memberof Merchant
     */
    fish(): Promise<void>;
    joinGiveaway(slot: TradeSlotType, id: string, rid: string): Promise<void>;
    /**
     * NOTE: Untested.
     * Lists an item for sale on your merchant stand
     *
     * @param {number} itemPos the position of the item in your inventory
     * @param {number} price the price to sell the item
     * @param {TradeSlotType} [tradeSlot] the trade slot to list the item in
     * @param {number} [quantity=1] the number of items to sell at this price
     * @return {*}  {Promise<unknown>}
     * @memberof Merchant
     */
    listForSale(itemPos: number, price: number, tradeSlot?: TradeSlotType, quantity?: number): Promise<unknown>;
    merchantCourage(): Promise<void>;
    mine(): Promise<void>;
    mluck(target: string): Promise<void>;
    openMerchantStand(): Promise<void>;
    massProduction(): Promise<void>;
}
